cURL
curl --request POST \
--url https://api.useconquest.com/v1/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activityTypeKey": "api:message",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"title": "<string>",
"message": "<string>",
"replyTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reactTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inviteTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.useconquest.com/v1/activities"
payload = {
"activityTypeKey": "api:message",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"title": "<string>",
"message": "<string>",
"replyTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reactTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inviteTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activityTypeKey: 'api:message',
memberId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
externalId: '<string>',
title: '<string>',
message: '<string>',
replyTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reactTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
inviteTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
channelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
eventId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.useconquest.com/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"title": "<string>",
"message": "<string>",
"replyTo": "<string>",
"reactTo": "<string>",
"inviteTo": "<string>",
"source": "Api",
"activityTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "BAD_REQUEST",
"error": "Invalid request"
}{
"code": "UNAUTHORIZED",
"error": "Authentication failed"
}{
"code": "NOT_FOUND",
"error": "Resource not found"
}Activities
Create activity
Create an activity for a member
POST
/
v1
/
activities
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Key of the activity type
Example:
"api:message"
ID of the member
External ID of the activity
Title of the activity
Message of the activity
ID of the activity to reply to
ID of the activity to react to
ID of the activity to invite to
ID of the channel
ID of the event
Response
Activity created successfully
Show child attributes
Show child attributes
⌘I